﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Globalization;

public partial class Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
		if (!IsPostBack)
		{
			Dictionary<string, string> list = new Dictionary<string, string>();
			foreach (CultureInfo cult in CultureInfo.GetCultures(CultureTypes.NeutralCultures).OrderBy(x => x.EnglishName))
			{
				list.Add(cult.Name , cult.EnglishName);
			}
			DropDownList1.DataSource = list;
			DropDownList1.DataTextField = "Value";
			DropDownList1.DataValueField = "Key";
			DropDownList1.DataBind();
		}

		DateTime date1 = DateTime.Now;
		string selection = DropDownList1.SelectedValue;
		Label1.Text = date1.ToString("dddd d MMMM yyyy" , CultureInfo.CreateSpecificCulture(selection));
		
    }
}